class CheckoutOptions {
  CheckoutOptions(
      {required this.accessKey,
      required this.amount,
      required this.transactionID,
      this.additionalData});

  final String accessKey;

  final num amount;

  final String transactionID;

  final Map<String, dynamic>? additionalData;

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> clientMap = {};
    clientMap['access_key'] = this.accessKey;
    clientMap['amount'] = this.amount;
    clientMap['transaction_id'] = this.transactionID;
    clientMap['additional_fields'] = this.additionalData;

    return clientMap;
  }
}
