part of '../../.././../moru_payment_gateway.dart';

@immutable
abstract class CheckoutState {}

class ValidateAccessKeyInitial extends CheckoutState {}
class ValidateAccessLoading extends CheckoutState {}

class ValidateAccessSuccess extends CheckoutState {
  final ValidatedAccessRes accessRes;

  ValidateAccessSuccess({required this.accessRes});
}

class ValidateAccessFail extends CheckoutState {
  final String failedReason;

  ValidateAccessFail({required this.failedReason});
}
