part of '../../.././../moru_payment_gateway.dart';

class InitiatePayCubit extends Cubit<InitiatePayState> {
  InitiatePayCubit() : super(InitiatePayInitial());

  void initiatePay({required PayData payData}) async {
    try {
      emit(InitiatePayLoading());
      final paySuccess =
          await getIt<PaymentImpl>().initiatePay(payData: payData);
      emit(PaySuccess());
    } on String catch (e) {
      emit(PayFail(message: e));
    } catch (_) {
      emit(PayFail(message: "Unable to Handle request"));
    }
  }
}
