class ErrorHandler {
  static String? getValidationError(Map<String, dynamic>? validationErrors) {
    String errorMessage = '';
    if (validationErrors != null) {
      if (validationErrors.containsKey("validation_errors")) {
        validationErrors['validation_errors'].forEach((key, value) {
          errorMessage = value[0].toString();
        });
        return errorMessage;
      } else if (validationErrors.containsKey("error_message")) {
        if (validationErrors['error_message'].runtimeType != String) {
          if (validationErrors['error_message'].containsKey('message')) {
            return validationErrors['error_message']['message'];
          }
        } else {
          return validationErrors['error_message'];
        }
      }
    } else {
      return 'Could not Process your request';
    }
  }
}
