part of '../../.././../moru_payment_gateway.dart';

@immutable
abstract class UserValidatorState {}

class UserValidatorInitial extends UserValidatorState {}
class UserValidatorLoading extends UserValidatorState {}

class UserValidatorSuccess extends UserValidatorState {
  final ValidatedUserRes validatedUserRes;

  UserValidatorSuccess({required this.validatedUserRes});
}

class UserValidatorFail extends UserValidatorState {
  final String failedReason;

  UserValidatorFail({required this.failedReason});
}
